Bug 58936 - xmms crashes using arts output plugin
xmms crashes using arts output plugin
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2002-01-28 05:34 EST by Jarek Polok
Modified: 2014-03-16 22:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-28 23:17:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jarek Polok 2002-01-28 05:34:15 EST
Description of Problem:

After upgrade of kdelibs and arts (RHEA-2001-158)
xmms crashes on manual song change on the playlist while using
arts output driver. 

Version-Release number of selected component (if applicable):

xmms-1.2.5-7, arts-2.2.2-2

How Reproducible:

Running KDE , select XMMS Arts output driver, Open playlist, change song 

Additional Information:

Here's the stderr output:

 MCOP ObjectManager: can't find implementation for Arts::X11GlobalComm.

Segmentation fault

You've probably found a bug in XMMS, please visit
http://www.xmms.org/bugs and fill out a bug report.

Xlib: unexpected async reply (sequence 0x3c99)!

Segmentation fault

You've probably found a bug in XMMS, please visit
http://www.xmms.org/bugs and fill out a bug report.

Suggested solution:

Rebuild xmms 1.2.5 against updated arts/KDE library, or even better:
rebuild xmms-1.2.6.
Comment 1 Bill Nottingham 2002-02-04 15:50:37 EST
Alternatively, thwack library authors who change the ABI without incrementing
the soname. :(
Comment 2 Jarek Polok 2002-02-04 15:57:52 EST
That wouldn't fix the problem, would it ? ;-)

Comment 3 Bernhard Rosenkraenzer 2002-04-11 09:43:22 EDT
xmms *statically* links to libartsc, so soname versioning won't help (and arts gets that 
right, for the record).  
Increasing priority since all this requires is a simple package rebuild.
Comment 4 Bill Nottingham 2002-04-11 11:06:00 EDT
AFAIK, this is just a 7.2 problem... xmms works fine in the beta with arts in
testing here.
Comment 5 Bernhard Rosenkraenzer 2002-04-11 11:36:14 EDT
Karsten just mentioned it crashes instantly.
Comment 6 Bill Nottingham 2004-01-28 23:17:35 EST
This has since been fixed (and there's a new arts plugin).

Note You need to log in before you can comment on or make changes to this bug.